/*

priiloader/preloader 0.30 - A tool which allows to change the default boot up sequence on the Wii console

Copyright (C) 2008-2013  crediar

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


*/

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
#include <string>

#include <gccore.h>
#include <ogc/es.h>
#include <ogc/wiilaunch.h>

int main(int argc, char **argv)
{
	const u64 BOOT_TITLEID = 0x00010001554E454FULL;
	VIDEO_Init();
	WII_Initialize();
	u32 sz;
	if (WII_LaunchTitle(BOOT_TITLEID) < 0)
		WII_ReturnToMenu();

	return 0;
}
